package net.knarcraft.blacksmith.command.blacksmith;

import net.knarcraft.blacksmith.BlacksmithPlugin;
import net.knarcraft.blacksmith.command.EditCommand;
import net.knarcraft.blacksmith.config.Settings;
import net.knarcraft.blacksmith.config.blacksmith.BlacksmithSetting;
import net.knarcraft.blacksmith.trait.BlacksmithTrait;
import org.jetbrains.annotations.NotNull;

/**
 * The main command used for blacksmith editing
 */
public class BlackSmithEditCommand extends EditCommand<BlacksmithTrait, BlacksmithSetting> {

    /**
     * Instantiates a new blacksmith edit command
     */
    public BlackSmithEditCommand() {
        super(BlacksmithTrait.class);
    }

    @Override
    public BlacksmithSetting getSetting(String input) {
        return BlacksmithSetting.getSetting(input);
    }

    @Override
    public @NotNull Settings<BlacksmithSetting> getGlobalSettings() {
        return BlacksmithPlugin.getInstance().getGlobalBlacksmithSettings();
    }

}
