package net.knarcraft.blacksmith.event;

import net.citizensnpcs.api.npc.NPC;
import org.bukkit.entity.Player;
import org.jetbrains.annotations.NotNull;

/**
 * An event triggered by the Blacksmith plugin
 */
@SuppressWarnings("unused")
public interface BlacksmithPluginEvent {

    /**
     * Gets the NPC involved in the event
     *
     * @return <p>The NPC</p>
     */
    @NotNull
    NPC getNpc();

    /**
     * Gets the player involved in the event
     *
     * @return <p>The player</p>
     */
    @NotNull
    Player getPlayer();

}
