package net.knarcraft.blacksmith.event;

import net.citizensnpcs.api.npc.NPC;
import org.bukkit.entity.Player;
import org.bukkit.event.HandlerList;
import org.jetbrains.annotations.NotNull;

/**
 * The event triggered when a scrapper salvaging fails
 */
public class ScrapperSalvageFailEvent extends AbstractBlacksmithPluginEvent implements SalvageEndEvent {

    private static final HandlerList handlers = new HandlerList();

    /**
     * Instantiates a new scrapper salvage fail event
     *
     * @param npc    <p>The NPC involved in the event</p>
     * @param player <p>The player involved in the event</p>
     */
    public ScrapperSalvageFailEvent(@NotNull NPC npc, @NotNull Player player) {
        super(npc, player);
    }

    /**
     * Gets a handler-list containing all event handlers
     *
     * @return <p>A handler-list with all event handlers</p>
     */
    @SuppressWarnings("unused")
    @NotNull
    public static HandlerList getHandlerList() {
        return handlers;
    }

    @Override
    @NotNull
    public HandlerList getHandlers() {
        return handlers;
    }

}
