package net.knarcraft.blacksmith.formatting;

import net.citizensnpcs.api.npc.NPC;
import net.knarcraft.blacksmith.BlacksmithPlugin;
import net.knarcraft.knarlib.property.ColorConversion;
import net.knarcraft.knarlib.util.ColorHelper;
import org.bukkit.entity.Player;

import java.util.List;

/**
 * A formatter for formatting displayed messages
 */
public final class BlacksmithStringFormatter {

    private BlacksmithStringFormatter() {

    }

    /**
     * Sends a message from a blacksmith NPC to a player
     *
     * @param npc     <p>The NPC sending the message</p>
     * @param player  <p>The player to send the message to</p>
     * @param message <p>The message to send</p>
     */
    public static void sendNPCMessage(NPC npc, Player player, String message) {
        player.sendMessage(BlacksmithPlugin.getStringFormatter().replacePlaceholders(
                BlacksmithTranslatableMessage.NPC_TALK_FORMAT, List.of("{npc}", "{message}"),
                List.of(npc.getName(), ColorHelper.translateColorCodes(message, ColorConversion.RGB))));
    }

}
